#include "chdecl.h"
void CH_addprefix(current, sched, cop)
#define ARGUMENTS 6
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb4;
    case 4: goto c5;
    case 5: goto cb8;
    case 6: goto c9;
    case 7: goto c14;
    case 8: goto cb17;
    case 9: goto c18;
    case 10: goto c23;
    case 11: goto c25;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* chs_lit 4 , "stdin" */
  if( !chs_lit(DEF(4),"stdin") ) goto ch_depletion;
/* chs_lit 5 , "string" */
  if( !chs_lit(DEF(5),"string") ) goto ch_depletion;
  current->ip = 3;
cb4:
/* call 3.2.2 4 5 6 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(4),
          arguments[2] = DEF(5),
          arguments[3] = DEF(6),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c5:
/* unwrap 7 6 , 2 */
  if ((ch_returncode = che_unwrap(DEF(7),DEF(6),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* chs_lit 8 , "stdout" */
  if( !chs_lit(DEF(8),"stdout") ) goto ch_depletion;
/* chs_lit 9 , "string" */
  if( !chs_lit(DEF(9),"string") ) goto ch_depletion;
  current->ip = 5;
cb8:
/* call 3.2.2 8 9 10 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(2),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[3] = DEF(10),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c9:
/* unwrap 11 10 , 3 */
  if ((ch_returncode = che_unwrap(DEF(11),DEF(10),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* lookup_at 12 3.0 =(2) */
  if (2 >= (ch_t = REF(3)DOT(0).value.table)->size) goto ch_notfound;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(12).value,2);
  REF(12).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 13 12 */
  if((ch_returncode = cp_table(& ch_val, REF(12).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).value = ch_val;
  REF(13).tsdr = & dr_table;
c14:
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
  current->ip = 8;
cb17:
/* receive 14 7 */
  if ((ch_returncode = che_receive(DEF(14),DEF(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c18:
/* copy 15 13 */
  if((ch_returncode = cp_table(& ch_val, REF(13).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).value = ch_val;
  REF(15).tsdr = & dr_table;
/* concat 16 15 14 */
  if ((ch_returncode = che_concat(DEF(16),DEF(15),DEF(14),sched)) != Normal)
     goto ch_raise_exception;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* send 11 16 */
  if ((ch_returncode = che_send(DEF(11),DEF(16),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 14 */
   goto c14;
c23:
/* endblock */
  che_endblock(sched);
c25:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
